%global pkgname iXhash2

Summary:        SpamAssassin plugin to lookup e-mail checksums in blacklists
Name:           spamassassin-%{pkgname}
Version:        2.05
Release:    1%{?dist}
License:        ASL 2.0
URL:            http://mailfud.org/%{pkgname}/
Source0:        http://mailfud.org/%{pkgname}/%{pkgname}-%{version}.tar.gz
Source1:        spamassassin-iXhash2.eml
Patch0:         spamassassin-iXhash2-2.05-conf.patch
Requires:       spamassassin >= 3.2
Provides:       spamassassin-iXhash = 1.5.5-2
BuildRequires:  %{_bindir}/perldoc
BuildRequires:  perl-generators
BuildArch:      noarch

%description
iXhash2 is an unofficial improved version of the iXhash spam filter
plugin for SpamAssassin, adding async DNS lookups for performance and
removing unneeded features but fully compatible with the iXhash 1.5.5
(https://sourceforge.net/projects/ixhash/) implementation. It computes
MD5 checksums of fragments of the body of an e-mail and compares them
to those of known spam using DNS queries to a RBL-like name server. So
it works similar to the standard plugins that use the Pyzor, Razor and
DCC software packages from within SpamAssassin.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .conf
cp -pf %{SOURCE1} iXhash2.eml

%build

%install
install -D -p -m 644 %{pkgname}.cf %{buildroot}%{_sysconfdir}/mail/spamassassin/%{pkgname}.cf
touch -c -r %{pkgname}.cf.conf %{buildroot}%{_sysconfdir}/mail/spamassassin/%{pkgname}.cf
install -D -p -m 644 %{pkgname}.pm %{buildroot}%{perl_vendorlib}/Mail/SpamAssassin/Plugin/%{pkgname}.pm
mkdir -p %{buildroot}%{_mandir}/man3/
perldoc %{pkgname}.pm > %{buildroot}%{_mandir}/man3/Mail::SpamAssassin::Plugin::%{pkgname}.3pm

%files
%license LICENSE
%doc CHANGELOG README iXhash2.eml
%config(noreplace) %{_sysconfdir}/mail/spamassassin/%{pkgname}.cf
%{perl_vendorlib}/Mail/SpamAssassin/Plugin/%{pkgname}.pm
%{_mandir}/man3/*.3pm*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.05-1
- initial build
